Beginning on February 18th, the minimal browser versions that we will be supporting for invoice view and pay capability are:

  • Chrome 29
  • Firefox 23
  • Internet Explorer 10
  • Safari 6 

If you have these browsers or a more recent version, you should see no interruption to your service.

We know that having a change in your support can be frustrating, but we are committed to delivering the best experience in terms of security, speed, and performance that we can. Older browsers have weaker encryption and security standards that can make it easier for bad guys to steal payment information. This update is to protect your financial information and ensure that our products work seamlessly for you and the businesses you work with!

To update to a supported browser of your choice, please follow any of the links below and you should be up and running in less than five minutes.